DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 1480592256577585152;
INSERT INTO T_HSBS_FUNCDEFINE (FID,FISSYSPRESET,FEXAMPLE,FDISABLEDATE,FFUNCTYPEID,FSIMPLENAME,FDEFINE,FDESCRIPTION,FMASTERID,FSTATUS,FFUNCEXP,FNUMBER,FUNIQUECODE,FNAME,FINDEX,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FFUNCDATATYPE,FCREATORID,FDISABLERID) 
VALUES (1480592256577585152,'1','举例：员工张三在本次计算的当月入职，入职日期=2022-6-10，计算期间截止日期为：2022-6-30，设置函数：FC[计算计薪日数]（FT[入职日期]，FT[截止日期]，FT[公共日历编码]），根据所设置的日历，计算结果为：15',null,828000374131643392,' ','getPayDays','获取公共日历中的日历数据，并计算一定区间内计薪日数的合计。计薪日=工作日+法定节假日',1480592256577585152,'C',' ','4080_S','FC_4080_S','计算计薪日数',185,{ts'2022-08-05 00:00:00'},1,'1',{ts'2022-08-10 00:00:00'},'BigDecimal',1,0);


DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '2MVC=F7YD13B';
INSERT INTO T_HSBS_FUNCDEFINE_L (FID,FPKID,FLOCALEID,FEXAMPLE,FSIMPLENAME,FDESCRIPTION,FNAME) 
VALUES (1480592256577585152,'2MVC=F7YD13B','zh_CN','举例：员工张三在本次计算的当月入职，入职日期=2022-6-10，计算期间截止日期为：2022-6-30，设置函数：FC[计算计薪日数]（FT[入职日期]，FT[截止日期]，FT[公共日历编码]），根据所设置的日历，计算结果为：15',' ','获取公共日历中的日历数据，并计算一定区间内计薪日数的合计。计薪日=工作日+法定节假日','计算计薪日数');
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '2MVC=F7YD13C';
--INSERT INTO T_HSBS_FUNCDEFINE_L (FID,FPKID,FLOCALEID,FEXAMPLE,FSIMPLENAME,FDESCRIPTION,FNAME) 
--VALUES (1480592256577585152,'2MVC=F7YD13C','zh_TW','舉例：員工張三在本次計算的當月入職，入職日期=2022-6-10，計算期間截止日期為：2022-6-30，設置函數：FC[計算計薪日數]（FT[入職日期]，FT[截止日期]，FT[公共日曆編碼]），根據所設置的日曆，計算結果為：15',' ','獲取公共日曆中的日曆數據，並計算一定區間內計薪日數的合計。計薪日=工作日+法定節假日','計算計薪日數');


DELETE FROM T_HSBS_FUNCDEFINEENTRY WHERE FID = 1480592256577585152;
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) 
VALUES (1480592256577585152,'用于划定一个日期区间，与区间日期2共同组成计算计薪日的日期区间，必填',1480592256854409216,1,'Date','区间日期1');
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) 
VALUES (1480592256577585152,'用于划定一个日期区间，与区间日期1共同组成计算计薪日的日期区间，必填',1480592256854409217,2,'Date','区间日期2');
INSERT INTO T_HSBS_FUNCDEFINEENTRY (FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) 
VALUES (1480592256577585152,'确定目标公共日历，填入公共日历编码',1480592256854409218,3,'String','公共日历');


DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '2MVC=F80/G=V';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) 
VALUES ('2MVC=F80/G=V','zh_CN','用于划定一个日期区间，与区间日期2共同组成计算计薪日的日期区间，必填',1480592256854409216,'区间日期1');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '2MVC=F80/G=W';
--INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) 
--VALUES ('2MVC=F80/G=W','zh_TW','用於劃定一個日期區間，與區間日期2共同組成計算計薪日的日期區間，必填',1480592256854409216,'區間日期1');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '2MVC=F80/G=X';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) 
VALUES ('2MVC=F80/G=X','zh_CN','用于划定一个日期区间，与区间日期1共同组成计算计薪日的日期区间，必填',1480592256854409217,'区间日期2');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '2MVC=F80/G=Y';
--INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) 
--VALUES ('2MVC=F80/G=Y','zh_TW','用於劃定一個日期區間，與區間日期1共同組成計算計薪日的日期區間，必填',1480592256854409217,'區間日期2');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '2MVC=F80/G=Z';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) 
VALUES ('2MVC=F80/G=Z','zh_CN','确定目标公共日历，填入公共日历编码',1480592256854409218,'公共日历');
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '2MVC=F80/GA+';
--INSERT INTO T_HSBS_FUNCDEFINEENTRY_L (FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) 
--VALUES ('2MVC=F80/GA+','zh_TW','確定目標公共日曆，填入公共日曆編碼',1480592256854409218,'公共日曆');


